package com.deer.wms.produce.manage.model;

import java.util.List;

/**
 * 该结构包含批次加工单、工序、批次明细，以及检测等级和瑕疵明细信息
 * @Author: hy
 * @Date: 2020/3/20 15:29
 * @Version 1.0
 */
public class ProductBatchDetectInfo {

    private ProductProcessBatchDetInfo productProcessBatchDetInfo;//批次加工单、工序、批次明细信息

    private ProductBatchDetect productBatchDetect;//检测等级

    private List<ProductBatchDetectDet> productBatchDetectDetList;//瑕疵名细

    public ProductProcessBatchDetInfo getProductProcessBatchDetInfo() {
        return productProcessBatchDetInfo;
    }

    public void setProductProcessBatchDetInfo(ProductProcessBatchDetInfo productProcessBatchDetInfo) {
        this.productProcessBatchDetInfo = productProcessBatchDetInfo;
    }

    public ProductBatchDetect getProductBatchDetect() {
        return productBatchDetect;
    }

    public void setProductBatchDetect(ProductBatchDetect productBatchDetect) {
        this.productBatchDetect = productBatchDetect;
    }

    public List<ProductBatchDetectDet> getProductBatchDetectDetList() {
        return productBatchDetectDetList;
    }

    public void setProductBatchDetectDetList(List<ProductBatchDetectDet> productBatchDetectDetList) {
        this.productBatchDetectDetList = productBatchDetectDetList;
    }
}
